導航:首頁 > 編程語言 > centosphp降級

centosphp降級

發布時間:2022-11-27 09:15:28

⑴ centos怎麼徹底卸載php

想把PHP卸載干凈,直接用yum的remove命令是不行的,需要查看有多少rpm包,然後按照依賴順序逐一卸載。

1.首先查看機器上安裝的所有php相關的rpm包

[[email protected] nginx]# rpm -qa | grep php

php-cli-5.3.3-22.el6.x86_64

php-pdo-5.3.3-22.el6.x86_64

php-gd-5.3.3-22.el6.x86_64

php-fpm-5.3.3-22.el6.x86_64

php-common-5.3.3-22.el6.x86_64

php-5.3.3-22.el6.x86_64

php-xml-5.3.3-22.el6.x86_64

php-pear-1.9.4-4.el6.noarch

2.按依賴順序進行刪除

rpm -e php-fpm-5.3.3-22.el6.x86_64

rpm-e php-pdo-5.3.3-22.el6.x86_64

rpm -e php-pear-1.9.4-4.el6.noarch

rpm-e php-cli-5.3.3-22.el6.x86_64

rpm -e php-5.3.3-22.el6.x86_64

rpm-e php-xml-5.3.3-22.el6.x86_64

rpm -e php-gd-5.3.3-22.el6.x86_64

rpm-e php-common-5.3.3-22.el6.x86_64

⑵ yum軟體降級操作

CentOS軟體降級
CentOS軟體降級操作如下:

首先查看軟體升級的事務ID:
yum history list all

根據ID查看變更的內容:
yum history info ID

確認ID確認,執行回滾操作:
yum history undo ID

⑶ 如何在CentOS 6.5上升級PHP版本

在更新PHP之前,先查看下當前PHP版本,避免重復的更新
# php -v
如何在CentOS 6.5上升級PHP
檢查當前PHP的安裝包
# yum list installed | grep php
如何在CentOS 6.5上升級PHP
移除當前PHP的安裝包,否則容易起沖突
# yum remove php*
如何在CentOS 6.5上升級PHP
由於默認的YUM源無法升級PHP,所以需要添加第三方的YUM源,此處用到webtatic。
因為是CentOS 6.5,所以用以下URL
# rpm -Uvh http://mirror.webtatic.com/yum/el6/latest.rpm
如果是CentOS 7.x
rpm -Uvh https://mirror.webtatic.com/yum/el7/epel-release.rpm
rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm
如何在CentOS 6.5上升級PHP
查看YUM源上能用PHP安裝包
# yum list php*
如何在CentOS 6.5上升級PHP
安裝PHP5.5及需要的擴展
# yum install php55w php55w-devel php55w-common php55w-mysql php55w-pdo php55w-opacache php55w-xml
如何在CentOS 6.5上升級PHP
再次查看PHP版本,以確認安裝是否成功
如何在CentOS 6.5上升級PHP
對了,如果你的PHP要用到Redis,請別忘了安裝php-redis 擴展
# yum install php-redis
如何在CentOS 6.5上升級PHP

⑷ CentOS怎樣強制卸載PHP以及自定義安裝PHP

首先確認你的php是怎麼安裝的,
如果是yum,可以用yumerasephp進行移除;
如果是rpm,可以用rpm-qa|grepphp進行移除;
如果是自定義安裝,則可以直接移除安裝目錄,另外使用find命令搜索相關php文件刪除。

關於自定義安裝PHP可以參考我的博客
《Linux下MySQL、Apache、PHP源碼安裝全程實錄(CentOS6.4)》

地址:http://www.zjmainstay.cn/lamp-config

⑸ Centos更新PHP版本問題

直接編譯安裝新版的php,目錄名跟舊的不重名就行。

然後指定某些軟鏈接到新的目錄下,配置信息php.ini,需要手動篩選移植。不過也可以嘗試直接覆蓋

⑹ 如何在CentOS 6.5上升級PHP版本

Step1:查看安裝伺服器當前安裝版本

⑺ CentOS怎樣強制卸載PHP以及自定義安裝PHP

很無語,CentOS居然php版本才5.1.6,很多開源的CMS無法安裝。
查看php版本命令:
#php -v
這個命令是刪除不幹凈的
#yum remove php
因為使用這個命令以後再用
#php -v
還是會看到有版本信息的。。。。。

必須強制刪除
#rpm -qa|grep php
提示如下
#php-pdo-5.1.6-27.el5_5.3
#php-mysql-5.1.6-27.el5_5.3
#php-xml-5.1.6-27.el5_5.3
#php-cli-5.1.6-27.el5_5.3
#php-common-5.1.6-27.el5_5.3
#php-gd-5.1.6-27.el5_5.3
注意卸載要先卸載沒有依賴的
pdo是mysql的依賴項;common是gd的依賴項;
例如:# rpm -e php-pdo-5.1.6-27.el5_5.3
error: Failed dependencies:
php-pdo is needed by (installed) php-mysql-5.1.6-27.el5_5.3.i386
所以正確的卸載順序是:
# rpm -e php-mysql-5.1.6-27.el5_5.3
# rpm -e php-pdo-5.1.6-27.el5_5.3
# rpm -e php-xml-5.1.6-27.el5_5.3
# rpm -e php-cli-5.1.6-27.el5_5.3
# rpm -e php-gd-5.1.6-27.el5_5.3
# rpm -e php-common-5.1.6-27.el5_5.3

再用# php -v
查看版本信息已經沒有提示
安裝最新的PHP
wget http://cn.php.net/get/php-5.3.6.tar.gz/from/this/mirror
tar xzvf php-5.3.6.tar.gz
cd php-5.3.6
./configure --prefix=/usr/local/php
#make && make install
#這個過程比較漫長需要耐心等待 不要急

⑻ 如何在CentOS 6.5上升級PHP版本

在更新PHP之前,先查看下當前PHP版本,避免重復的更新
#php-v

檢查當前PHP的安裝包
#yumlistinstalled|grepphp

移除當前PHP的安裝包,否則容易起沖突
#yumremovephp*

由於默認的YUM源無法升級PHP,所以需要添加第三方的YUM源,此處用到webtatic。
因為是CentOS6.5,所以用以下URL
#rpm-Uvhhttp://mirror.webtatic.com/yum/el6/latest.rpm
如果是CentOS7.x
rpm-Uvhhttps://mirror.webtatic.com/yum/el7/epel-release.rpm
rpm-Uvhhttps://mirror.webtatic.com/yum/el7/webtatic-release.rpm

查看YUM源上能用PHP安裝包
#yumlistphp*

安裝PHP5.5及需要的擴展
#yuminstallphp55wphp55w-develphp55w-commonphp55w-mysqlphp55w-pdophp55w-opacachephp55w-xml

再次查看PHP版本,以確認安裝是否成功

對了,如果你的PHP要用到Redis,請別忘了安裝php-redis擴展
#yuminstallphp-redis


⑼ 如何在CentOS系統中把PHP 5.3.x更新到PHP 5.4.x

1.首頁安裝Webtatic EL6 YUM源
rpm -Uvh
2.停止web伺服器
service nginx stop
或者
service httpd stop
3.刪除當前的 php 安裝 php5.4
yum remove php*
yum install php54w
4.重啟web伺服器
service php-fpm restart
service nginx start
或者
service httpd restart
5.查看php版本
php -v
PHP 5.4.33 (cli) (built: Sep 19 2014 19:58:27)
Copyright (c) 1997-2014 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2014 Zend Technologies

⑽ 如何在CentOS 6.5上升級PHP版本

在更新PHP之前,先查看下當前PHP版本,避免重復的更新
# php -v
檢查當前PHP的安裝包
# yum list installed | grep php
移除當前PHP的安裝包,否則容易起沖突
# yum remove php*
由於默認的YUM源無法升級PHP,所以需要添加第三方的YUM源,此處用到webtatic。
因為是CentOS 6.5,所以用以下URL
# rpm -Uvh yum/el6/latest.rpm
如果是CentOS 7.x
rpm -Uvh yum/el7/epel-release.rpm
rpm -Uvh yum/el7/webtatic-release.rpm
查看YUM源上能用PHP安裝包
# yum list php*
安裝PHP5.5及需要的擴展
# yum install php55w php55w-devel php55w-common php55w-mysql php55w-pdo php55w-opacache php55w-xml
再次查看PHP版本,以確認安裝是否成功
對了,如果你的PHP要用到Redis,請別忘了安裝php-redis 擴展
# yum install php-redis

閱讀全文

與centosphp降級相關的資料

熱點內容
如何統計伺服器的流量 瀏覽:163
安卓游戲中文叫什麼 瀏覽:775
obs軟體支持雲伺服器嗎 瀏覽:6
假冒的程序員 瀏覽:617
優先順序演算法流程圖 瀏覽:211
軟體設計師跟程序員區別 瀏覽:581
哪個app能出售皮箱 瀏覽:20
格式工廠pdf 瀏覽:367
非對稱加密屬於哪一層 瀏覽:239
程序員病假暈倒 瀏覽:465
如何啟動帆軟內置伺服器 瀏覽:884
我的世界如何把命令方塊取出 瀏覽:2
單片機應用的場合 瀏覽:345
連接超時伺服器ip地址或埠配置錯誤 瀏覽:280
程序員常說的底層 瀏覽:716
伺服器cpu都是什麼封裝 瀏覽:708
壓縮文件解壓畫面 瀏覽:418
旭聊pdf 瀏覽:81
美女寫字聲音解壓 瀏覽:57
led燈單片機畢設 瀏覽:849